Subject: [PATCH REPOST] mmc: bcm2835: set SDHCI_QUIRK_DATA_TIMEOUT_USES_SDCLK

From: [email-masked] (Chris Ball)
Date: Mon, 11 Feb 2013 13:20:53 -0500

Hi,

On Mon, Feb 11 2013, Stephen Warren wrote:
> On 02/11/2013 09:36 AM, Chris Ball wrote:
>> Hi Stephen,
>> 
>> On Fri, Feb 08 2013, Stephen Warren wrote:
>>> SDHCI_QUIRK_DATA_TIMEOUT_USES_SDCLK does basically the same as
>>> implementing struct sdhci_ops .get_timeout_clock, so simply set that
>>> quirk and remove the custom code to simplify the driver.
>>>
>>> Reported-by: Lars-Peter Clausen <[email-masked]>
>>> Signed-off-by: Stephen Warren <[email-masked]>
>> 
>> This conflicts with Lars-Peter's larger patch, which I just merged --
>> I could merge the changes from both, which reduces your patch to this:
>
> Yes, that updated patch looks fine to me.
>
> I thought Lars-Peter was going to update his series on top of this
> cleanup, but either way is fine.

Thanks, pushed the updated patch to mmc-next for 3.9.

- Chris.
-- 
Chris Ball   <[email-masked]>   <http://printf.net/>
One Laptop Per Child